Loading...
Searching...
No Matches
debug.h File Reference

functions to print debug output More...

Go to the source code of this file.

## Macros

#define | DEBINCLEVEL(stream, msg)
#define | DEBDECLEVEL(stream, msg)
#define | DEBOUTSL(stream)
#define | DEBOUT(stream, objects)
#define | DEBOUTENDL(stream)
#define | DEBOUTLN(stream, objects)

## Detailed Description

functions to print debug output

Note
  needs –enable-debugoutput –enable-streamio at configure

Definition in file debug.h.

## Macro Definition Documentation

## DEBDECLEVEL

#define DEBDECLEVEL | ( |  | stream,
|  |  | msg )

Definition at line 45 of file debug.h.

## DEBINCLEVEL

#define DEBINCLEVEL | ( |  | stream,
|  |  | msg )

Definition at line 44 of file debug.h.

## DEBOUT

#define DEBOUT | ( |  | stream,
|  |  | objects )

Definition at line 47 of file debug.h.

## DEBOUTENDL

#define DEBOUTENDL | ( |  | stream | ) |

Definition at line 48 of file debug.h.

## DEBOUTLN

#define DEBOUTLN | ( |  | stream,
|  |  | objects )

Definition at line 49 of file debug.h.

## DEBOUTSL

#define DEBOUTSL | ( |  | stream | ) |

Definition at line 46 of file debug.h.